petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESKSPGetUseEW

Gets if SNES is using Eisenstat-Walker method for computing relative tolerance for linear solvers within an inexact Newton method.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESKSPGetUseEW(SNES snes, PetscBool  *flag)

Not Collective Many br

### Input Parameter

snes -SNES context Many br

### Output Parameter

flag -PETSC_TRUE or PETSC_FALSE Many br

### Notes

Currently, the default is to use a constant relative tolerance for Many brthe inner linear solvers. Alternatively, one can use the Many brEisenstat-Walker method, where the relative convergence tolerance Many bris reset at each Newton iteration according progress of the nonlinear Many brsolver. Many br

Many br

### Reference

S. C. Eisenstat and H. F. Walker, "Choosing the forcing terms in an Many brinexact Newton method", SISC 17 (1), pp.16-32, 1996. Many br

### Keywords

SNES, KSP, Eisenstat, Walker, convergence, test, inexact, Newton

### See Also

SNESKSPSetUseEW(), SNESKSPGetParametersEW(), SNESKSPSetParametersEW()

Level:advanced
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages